%define		rc_subver	rc5

Summary: 	An ASCII art library.
Name: 		aalib
Version: 	1.4.0
Release: 	0.fdr.0.8.%{rc_subver}.1
Epoch:		0
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://aa-project.sourceforge.net/aalib/
Source0: 	http://prdownloads.sourceforge.net/aa-project/%{name}-1.4%{rc_subver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	slang-devel XFree86-devel gpm-devel

%package devel
Summary:	aalib development files
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires(post,postun):	info
Requires:	XFree86-devel, slang-devel, gpm-devel


%description
AA-lib is a low level gfx library just as many other libraries are. The
main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with a powerful ASCII art renderer. The API
is designed to be similar to other graphics libraries.

%description devel
This package contains header files and other files needed to develop
with the aalib


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# Just to be sure..
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir 2>/dev/null



%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/libaa.info.gz %{_infodir}/dir 2>/dev/null || :

%preun devel
if [ "$1" = "0" ]; then
	/sbin/install-info --delete %{_infodir}/libaa.info.gz %{_infodir}/dir 2>/dev/null || :
fi


%files
%exclude %{_libdir}/libaa.la
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS
%{_bindir}/aafire
%{_bindir}/aainfo
%{_bindir}/aasavefont
%{_bindir}/aatest
%{_libdir}/libaa.so.*
%{_mandir}/man1/aafire.1*

%files devel
%defattr(-,root,root,-)
%{_bindir}/aalib-config
%{_mandir}/man3/
%{_libdir}/libaa.a
%{_libdir}/libaa.so
%{_includedir}/aalib.h
%{_infodir}/aalib.info*
%{_datadir}/aclocal/aalib.m4

%changelog
* Thu Aug 21 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.8.rc5
- devel package now requires info
- Rewrote scriplets
- buildroot -> RPM_BUILD_ROOT
- Moved info files into devel package

* Tue Aug  5 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.7.rc5
- Removed '-p /sbin/ldconfig' in post scriptlet

* Thu Apr 10 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.6.rc5
- Added missing gpm-devel *Requires

* Mon Apr  7 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.5.rc5
- Moved configure from prep to build section.
- Modified post* and pre* scriplets

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.4.rc5
- Fix things between exclude, rm -f, lib*.la, and infodir/dir things
- Added URL in Source0.

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.3.rc5
- Modified devel Requires:
- Removed gcc as requirement

* Wed Apr  2 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.2.rc5
- Applied spec modifications from Adrian Reber

* Tue Apr  1 2003 Dams <anvil[AT]livna.org> 
- Initial build.
